/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/@DIRECTORY/include/Parameters.h"
#include "Behavioural/include/XML.h"

namespace morpheo                    {
namespace behavioural {
@NAMESPACE_BEGIN

#undef  FUNCTION
#define FUNCTION "@COMPONENT::print"
  std::string Parameters::print (uint32_t depth)
  {
    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");

    XML xml ("@COMPONENT_LOWER");

    xml.balise_open("@COMPONENT_LOWER");
//  xml.singleton_begin(""); xml.attribut("value",toString(_)); xml.singleton_end();
    xml.balise_close();

    log_printf(FUNC,@COMPONENT,FUNCTION,"End");
    
    return xml.get_body(depth);
  };

#undef  FUNCTION
#define FUNCTION "@COMPONENT::operator<<"
  std::ostream& operator<< (std::ostream& output_stream ,
			    morpheo::behavioural::@NAMESPACE_USE::Parameters & x)
  {
    log_printf(FUNC,@COMPONENT,FUNCTION,"Begin");

    output_stream << x.print(0);
    
    log_printf(FUNC,@COMPONENT,FUNCTION,"End");

    return output_stream;
  };

@NAMESPACE_END
}; // end namespace behavioural
}; // end namespace morpheo              
